#include <cpctelera.h>

#define ITEM_NAVAJA 1
#define ITEM_BATE 2
#define ITEM_NUNCHUCK 3
#define ITEM_KATANA 4
#define ITEM_GUN 5
#define ITEM_SHOTGUN 6
#define ITEM_GRANADA 7
#define ITEM_BAZOKA 8
#define ITEM_MEDKIT 9

#define BASE_POLICIA 16
#define BASE_ARCADE 17
#define BASE_DONLUCA 18
#define BASE_BURGUER 19
#define BASE_MALL 20
#define BASE_SEA 21
#define BASE_IGLESIA 22
#define BASE_HOSPITAL 23
#define BASE_BANCO 24
#define BASE_RASCACIELOS 25
#define BASE_PUERTO 26
#define BASE_DISCO 27
#define BASE_INK_AND_PAINT 28

#define HOME_MAMA 32
#define HOME_FRIEND 33
#define HOME_MASTER 34
#define HOME_DONLUCA 35
#define HOME_YAOMING 36

#define SEMA_RIGHT 64
#define SEMA_DOWN 65
#define SEMA_LEFT 66
#define SEMA_UP 67

#define FAROLA 128



//contiene una lista de objetos que se encuentran repartidos en el mapa
//va de 3 en 3 bytes y van tile X, tile Y y el identificador del objeto en cuestion

const u8 mapObjects[]={
4,176,FAROLA,0,
15,149,FAROLA,0,
15,105,FAROLA,0,
15,64,FAROLA,0,
16,88,SEMA_DOWN,0,
19,48,FAROLA,0,
23,189,SEMA_RIGHT,0,
30,93,SEMA_UP,0,
31,176,FAROLA,0,
33,120,FAROLA,0,
47,220,SEMA_RIGHT,0,
47,48,FAROLA,0,
53,207,SEMA_LEFT,0,
62,93,FAROLA,0,
62,120,FAROLA,0,
64,141,FAROLA,0,
66,157,FAROLA,0,
68,241,BASE_SEA,0,
70,89,BASE_MALL,0,
73,208,FAROLA,0,
75,48,BASE_POLICIA,0,
80,40,SEMA_DOWN,0,
86,81,ITEM_KATANA,0,
87,221,SEMA_RIGHT,0,
94,208,SEMA_LEFT,0,
94,45,SEMA_UP,0,
96,30,SEMA_RIGHT,0,
99,120,FAROLA,0,
99,141,FAROLA,0,
100,184,BASE_ARCADE,0,
105,16,SEMA_LEFT,0,
107,164,ITEM_BATE,0,
115,212,BASE_MALL,0,
115,104,BASE_HOSPITAL,0,
119,53,FAROLA,0,
120,184,FAROLA,0,
123,104,BASE_HOSPITAL,0,
131,157,FAROLA,0,
132,120,FAROLA,0,
135,133,SEMA_RIGHT,0,
138,213,BASE_MALL,0,
139,95,ITEM_GUN,0,
139,184,BASE_DONLUCA,0,
141,162,ITEM_NAVAJA,0,
144,111,SEMA_DOWN,0,
144,62,SEMA_DOWN,0,
153,16,FAROLA,0,
155,48,BASE_ARCADE,0,
158,141,SEMA_UP,0,
158,69,SEMA_UP,0,
159,221,SEMA_RIGHT,0,
160,183,FAROLA,0,
167,207,SEMA_LEFT,0,
167,120,SEMA_LEFT,0,
172,48,BASE_INK_AND_PAINT,0,
180,207,FAROLA,0,
188,166,ITEM_NUNCHUCK,0,
188,208,BASE_POLICIA,0,
189,120,FAROLA,0,
189,15,FAROLA,0,
189,183,FAROLA,0,
196,201,ITEM_SHOTGUN,0,
196,104,ITEM_BAZOKA,0,
201,48,BASE_BURGUER,0,
207,61,SEMA_RIGHT,0,
207,30,SEMA_RIGHT,0,
210,207,FAROLA,0,
214,120,FAROLA,0,
215,48,SEMA_LEFT,0,
215,16,SEMA_LEFT,0,
221,190,ITEM_GRANADA,0,
224,199,SEMA_DOWN,0,
224,135,SEMA_DOWN,0,
224,148,FAROLA,0,
224,175,FAROLA,0,
225,80,BASE_BURGUER,0,
236,80,BASE_ARCADE,0,
238,205,SEMA_UP,0,
239,141,SEMA_UP,0,
239,163,FAROLA,0,
242,192,BASE_BURGUER,0,
243,168,BASE_ARCADE,0,
243,216,BASE_INK_AND_PAINT,0,
0};